apiVersion: apps/v1
kind: Deployment
metadata:
  name: weathertracker
  labels:
    app: weathertracker
spec:
  replicas: 2
  selector:
    matchLabels:
      app: weathertracker
  template:
    metadata:
      labels:
        app: weathertracker
    spec:
      containers:
      - name: weathertracker
        image: gcr.io/shawgeek-test/weathertrackerserver-image
        ports:
        - containerPort: 50505
        env:
        - name: REDIS_URL
          valueFrom:
            configMapKeyRef:
              name: weathertracker-config
              key: REDIS_URL
        - name: WEATHERTRACKER_SERVER_PORT
          valueFrom:
            configMapKeyRef:
              name: weathertracker-config
              key: WEATHERTRACKER_SERVER_PORT